
package guess;

import java.util.Random;
import javax.inject.Named;
import javax.enterprise.context.ApplicationScoped;

@Named(value = "guess")
@ApplicationScoped
public class Guess {

    private int guessedNumber;
    Random rnd;
    private boolean alreadyGuessed;
    
    public Guess() {
        rnd = new Random();
        restart();
    }
 
    void restart()
    {
        guessedNumber = rnd.nextInt(10000) + 1;
        alreadyGuessed = false;
    }

    public synchronized boolean getAndSetAlreadyGuessed() {
        boolean wasAlreadyGuessed = alreadyGuessed;
        alreadyGuessed = true;
        return wasAlreadyGuessed;
    }
    
    public int getGuessedNumber()
    {
        return guessedNumber;
    }
}
