
package guess;

import javax.inject.Named;
import javax.enterprise.context.SessionScoped;
import java.io.Serializable;
import javax.inject.Inject;


@Named(value = "userguess")
@SessionScoped
public class Userguess implements Serializable {

    private String username;
    private int newguess;
    private int score;
    
    String message;
    
    @Inject
    Guess guess;
    
    public Userguess() {
        score = 0;
        resetMessage();
    }

    public String getNewguess() {
        return Integer.toString(newguess);
    }

    public void setNewguess(String newguess) {
        this.newguess = Integer.parseInt(newguess);
        if (this.newguess < guess.getGuessedNumber())
            message = "You guessed too low";
        else if (this.newguess > guess.getGuessedNumber())
            message = "You guessed too high";
        else 
        {
            boolean otherWin = guess.getAndSetAlreadyGuessed();
            if (!otherWin)
            {
                message = "Congrats, that was it! Number was " + newguess;
                score++;
            }
            else message = "Congrats, that was it! But somebody already guess this number. It was was " + newguess;
        }
    }

    public String getScore() {
        return Integer.toString(score);
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }
    
    public void restart()
    {
        guess.restart();
        resetMessage();
    }
    
    private void resetMessage()
    {
        message = "Make your first guess!";
    }
    public String getMessage()
    {
        return message;
    }
}
